Bug 1020183 - Improve the logging within the plugin so that it is easier to debug
Improve the logging within the plugin so that it is easier to debug
Status: ASSIGNED
Product: GlusterFS
Classification: Community
Component: gluster-hadoop (Show other bugs)
mainline
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Bradley Childs
hcfs-gluster-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 04:34 EDT by Daniel Horák
Modified: 2017-01-26 21:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Horák 2013-10-17 04:34:37 EDT
Description of problem:
  Actual version of shim (now 2.1.4) logs only few lines about shim version and no other (debugging) information and records. It would be good to have possibility to get more information about running actions.

One example is debugging problem with getfattr (see bug 1002020) - executed Hadoop (mapreduce) job fails with general "Cannot get layout" exception and it is not clear what is the problem.
> It happens when xtended attrs arent available either:
> 1) Because user running task or job doesnt have sudo privileges and your hadoop config (core-site.xml) sets the getfattr command to use sudo.  
> 2) Your gluster mount is severely broken, or not mounted at all.
> 3) You are running without a TTY (i.e. this happens when jenkins launches our jobs - even if it is root - so you have to disable tty in sudoers - yes even for root!) 
> 4) If /usr/bin/getfattr isnt installed (in a fedora19 distro, i found i had to manually install it: yum install     yum install attr)

Version-Release number of selected component (if applicable):
  glusterfs-hadoop-2.1.4.jar
Comment 2 Jay Vyas 2013-11-19 08:21:12 EST
Agreed that we (1) need a revised logging patch + (2) instructions on the 
forge.gluster.org about how to debug the shim and capture/ configure logs.
Comment 3 Scott Haines 2013-11-19 14:58:03 EST
Per 11/13 bug triage meeting, re-assigning to bchilds and mark medium.

Note You need to log in before you can comment on or make changes to this bug.